@import "variables";
@import "mixin";

.header {
  background: url("../img/header/Fork-app.png") no-repeat center;
  background-size: cover;

  &__line {
    display: flex;
    background-color: #27262a;
    padding-top: 32px;
    padding-bottom: 32px;
    align-items: center;
    justify-content: space-between;
  }

  &__icon {
    background: url("../img/header/Logo.png") no-repeat center;
    background-size: cover;
    width: 40px;
    height: 40px;
  }

  &__logo span {
    display: none;
  }

  &__menu-nav {
    position: absolute;
    top: 104px;
    right: 16px;
    display: none;
    flex-direction: column;
    background: #333333;
    font-weight: 400;
    font-size: 26px;
    line-height: 26px;
    color: #ffffff;
    min-width: 288px;
  }

  &__menu-nav li {
    padding: 1em;
    border-bottom: 3px solid #3b3b3b;
  }

  &__menu-nav-item {
    color: inherit;
    text-decoration: none;
  }

  &__btn-wrapper {
    position: relative;
    top: 50px;
    display: flex;
    justify-content: center;
    margin-top: 413px;
    & span {
      font-size: 14px;
      line-height: 14px;
      color: #848e97;
      margin-top: 60px;
    }
  }

  &__front-screen {
    align-items: center;
    justify-content: center;
    text-align: center;
    padding-top: 50px;
    justify-content: center;
    &__title {
      font-weight: 700;
      font-size: 48px;
      line-height: 48px;
      color: #ffffff;
      margin-bottom: 20px;
    }
    &__text {
      font-size: 18px;
      line-height: 24px;
      color: #8d81ac;
    }
    &__version {
      color: #848e97;
      font-size: 14px;
      line-height: 14px;
      margin-top: 14px;
    }
  }
}

.item-active {
  position: relative;
  color: $primary-color;
  &::before {
    position: absolute;
    top: -11px;
    left: -26px;
    content: "";
    width: 8px;
    height: 56px;
    background-color: #8d81ac;
  }
}

.open-menu {
  display: flex;
}
.close-menu {
  display: none;
}

@media (min-width: 481px) {
  .header {
    &__line {
      display: grid;
      align-items: center;
      justify-content: center;
      grid-template-columns: repeat(2, 1fr);
      grid-template-rows: repeat(2, minmax(20px, auto));
      row-gap: 20px;
      grid-template-areas:
        "title btn"
        "menu menu";
      padding-top: 20px;
      padding-bottom: 20px;
      & .line-item {
        display: flex;
      }
      & .line-item:nth-child(1) {
        order: 1;
        grid-area: title;
        justify-content: start;
      }
      & .line-item:nth-child(2) {
        order: 3;
        grid-area: menu;
        justify-content: space-around;
      }
      & .line-item:nth-child(3) {
        order: 2;
        grid-area: btn;
        justify-content: end;
      }
    }

    &__logo {
      display: flex;
      justify-content: center;
      align-items: center;
      font-family: "Lato", sans-serif;
      font-weight: 700;
      font-size: 24px;
      line-height: 16px;
      color: $primary-color;
      text-decoration: none;
      text-transform: uppercase;
      & span {
        display: block;
        margin-left: 16px;
      }
    }

    &__title:hover &__icon {
      background: url("../img/header/Logo-hover.png") no-repeat center;
      background-size: cover;
      width: 40px;
      height: 40px;
    }
    &__title:hover span {
      color: $light-color;
    }

    &__menu-btn {
      display: none;
    }

    &__menu-nav {
      position: relative;
      top: 0;
      right: 0;
      flex-direction: row;
      background: none;
      font-weight: 700;
      font-size: 16px;
      line-height: 18px;
      color: $primary-color;
      & li {
        padding: 0;
        border-bottom: none;
      }
      &-item:hover {
        color: $light-color;
      }
    }

    &__front-screen {
      padding-top: 70px;
      &__title {
        font-size: 72px;
        line-height: 72px;
      }
      &__text {
        font-size: 24px;
      }
      &__version {
        margin-top: 20px;
      }
    }

    &__btn-wrapper {
      top: 60px;
      margin-top: 470px;
      & span {
        margin-top: 80px;
      }
    }
  }

  .item-active {
    color: $light-color;
    &::before {
      width: 0;
      height: 0;
    }
  }
}

@media (min-width: 992px) {
  .header {
    &__line {
      position: relative;
      display: flex;
      background: none;
      justify-content: space-between;
    }
    &__menu-nav {
      position: absolute;
      top: 32px;
      right: 200px;
      padding-top: 0;
      & li {
        padding-left: 48px;
      }
    }

    &__front-screen {
      &__title {
        font-size: 82px;
        line-height: 82px;
      }
      &__text {
        font-size: 30px;
        line-height: 30px;
      }
      &__version {
        font-size: 16px;
        line-height: 16px;
      }
    }
  }
}
